/*****************************************************************/
/* FILE:        	w2exit.sas                               */
/* PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)    */
/* FACULTY:		Dan McFadden                             */
/* AUTHOR:		Angela Merrill/Tiago Ribeiro             */
/* LAST UPDATE:		Jan 2003                                 */
/* PROGRAM DESC:	Code Wave 2 exit interview               */
/* CONTACT:             tribeiro@econ.berkeley.edu               */
/*****************************************************************/
%global thisfile;
%let lastfile=&thisfile;
%let thisfile=w2exit;
proc printto log="&thisfile..log" print="&thisfile..lst" new; run;

%include "~/ribeiro/datagen/header.inc";
options ps=2000 ls=150;

x zcat "&rawe2/A2_EXIT.ssd01.Z" > "&local/a2_exit.ssd01";

data w2x0;
set local.a2_exit;
rename respid=hhidpn;
run;

%vtic(w2x0);


data w2x0;
set w2x0;

if v233 not in(0,8,9) then expdie2=(v233=1);
if v236 not in(0,8,9) then othill2=(v236=1);

/*
if v223 not in(0,98,99)     then modie2=v223;
if v225 not in(0,9998,9999) then yrdie2=v225;
*/
    
label	
    expdie2='death expected w2'
    othill2='other maj ill before death w2'
    modie2='Month of death - W2'
    yrdie2='Year of death - W2'
    ;

   
   %include 'w2exit/xdemog2.sas';
   %include 'w2exit/xhealth2.sas';
   %include 'w2exit/xcogn2.sas';
   %include 'w2exit/xadl_iadl2.sas';

run;
%vtoc(w2x0);

****************************************************;
* OUTPUT INDIVIDUAL-LEVEL DATASET;
****************************************************;

proc means nmiss n mean std min max;
    var %include "&thisfile..vars";;
run;

data local8.w2exit;		
   set w2x0;
   keep hhidpn;
   keep %include "&thisfile..vars";;
   run;
   
proc contents ;
proc means nmiss n mean std min max;
run;



   /****************************************************/ 
   /*****************End of File************************/ 
   /****************************************************/ 

   %let thisfile=&lastfile;
   proc printto log="&thisfile..log" print="&thisfile..lst"; run;

   /****************************************************/ 
   /****************************************************/ 
   /****************************************************/ 






