*****************************************************************;
* Code demographic variables ;
*****************************************************************;
    
sex2=d210;
if sex2 ne . then  female2=(sex2=2);


   marstat2 = d674;

/*
   D674      A21. R MARITAL STATUS
                 Section: A            Level: Respondent      CAI Reference: Q674
                 Type: Numeric         Width: 1               Decimals: 0

                 User note: D256 [MARRIAGE STATUS] and D674 [A21. R MARITAL]
                 have identical values.  Both are included so that questionnaire
                 flow is more easily understood.
                 ................................................................................
                    13         0. Exit proxy was taken before the interview with the surviving
                                  spouse.
                  3570         1. MARRIED, SPOUSE PRESENT
                    56         2. MARRIED, SPOUSE ABSENT FROM HH
                    51         3. LIVING WITH SOMEONE
                   334         4. DIVORCED/SEPARATED
                  2785         5. WIDOWED
                   186         6. NEVER MARRIED
                    32         7. MARRIED, SPOUSE ABSENT (NOT INSTITUTION)

*/       

       if marstat2 ne . then do;
           married2 = (marstat2 in(1,2,7));       
           cohab2 = (marstat2 = 3);
           divsep2  = (marstat2 = 4);
           widow2   = (marstat2 = 5);
           nevmarr2 = (marstat2 = 6);
           marrsab2 = (marstat2 in(2,7));
           end;

       if married2=1 and sex2=2 then singfem2=1; else singfem2=0;
   
   label 
       sex2='sex, w2'
       female2='female w2'
       age2='age, w2'     
       marstat2='marital status, w2'
       married2='married w2'
       cohab2='cohab as married w2'
       divsep2='divorced/sep w2'
       widow2='widow w2'	
       nevmarr2='never married w2'
       marrsab2='married sp absent w2' 
       singfem2='single female w2'
       ;

   
   **************************************************;
   * for new interviews only n=75 use data in w2 file;
   **************************************************;
   
   if d667am not in(.,8,9) then race2=d667am;
   if race2 ne . then do;    
       black2 = (race2 = 2);
       raceo2 = (race2= 3 or race2=7);
       nonwhit2=(black2=1 or raceo2=1);
       end;
   if d664a not in(.,8,9) then hispan2 = (d664a = 1);
   if d639  not in(.,8,9) then usborn2 = (d639=1);

   label
       race2='race, w2'
       black2='black w2'
       raceo2='other race w2'
       hispan2='hispanic w2'
       nonwhit2='non-white w2'
       usborn2='born in US w2'
       ;

   if d649 not in(.,97,98,99) then educ2=d649;
   if educ2 ne . then do;
       if d650 not in(.,8,9) then  hsgrad2  = (educ2=12 or d650=1 or d650=2);
       colleg2 = (13 <= educ2 <= 17);
       grddeg2 = (educ2 =17);
       end;
   
   if d654 not in(.,8,9) then  momhs2 = (d654=1);
   if d655 not in(.,8,9) then  dadhs2 = (d655=1);
   if d654 not in(.,8,9) and d655 not in(.,8,9) then  parnths2= (d654=1 and d655=1);
   
   label
       hsgrad2='hs educ w2'
       colleg2='colleg educ w2'
       grddeg2='grad educ w2'
       educ2='yrs education w2'
       momhs2='mom hs educ w2'
       dadhs2='dad hs educ w2'
       parnths2='mom/dad hs educ w2'
       ;


   if d441 ne . then moved2=(d441=1);
   label moved2='moved main residence, w2';


