*****************************************************************;
* Code demographic variables ;
*****************************************************************;
    
sex3=q688;
if sex3 ne . then  female3=(sex3=2);

if q689 not in(.,0,8,9) then marstat3=q689;

  /*
Q689      R MARITAL STAT
          Section: CS           Level: Respondent      CAI Reference: Q689
          Type: Numeric         Width: 1               Decimals: 0
          ................................................................................
             26         0. MISSING DATA
            581         1. MARRIED
              5         2. MARRIED SP ABSENT, INSTITUTION
             29         3. MARRIED SP ABSENT, NOT IN INSTITUTION
             84         4. SEPARATED/DIVORCED
            498         5. WIDOWED
             32         6. NEVER MARRIED
  */

if marstat3 ne . then do;
    married3=(marstat3 in(1,2,3));
    widow3=(marstat3=5);
    divsep3=(marstat3 in(4));
    nevmarr3=(marstat3=6);
    marrsab3 = (marstat3 in(2,3));
    end;

if married3=1 and sex3=2 then singfem3=1; else singfem3=0;

  label 
      sex3='sex, w3'
      female3='female w3'
      age3='age, w3'     
      marstat3='marital status, w3'
      married3='married w3'
      cohab3='cohab as married w3'
      divsep3='divorced/sep w3'
      widow3='widow w3'	
      nevmarr3='never married w3'
      marrsab3='married sp absent w3' 
      singfem3='single female w3'
      ;

* race;
*	Note: no asian category in public release;
  if q1005r not in(.,8,9) then race3=q1005r;
  if race3 ne . then do;
      black3 = (race3 = 2);
      raceo3 = (race3 >= 3);
      nonwhit3= (black3=1 or raceo3=1);
    end;
  if q1002 not in(.,8,9) then hispan3 = (q1002 = 1);
  
  if q971 in(1,5) then  usborn3 = (q971=1);

  label
      race3='race, w3'
      black3='black w3'
      raceo3='other race w3'
      hispan3='hispanic w3'
      nonwhit3='non-white w3'
      usborn3='born in US w3'
      ;

*education;
  if q987 not in(.,97,98,99) then educ3=q987;

  if educ3 ne . then do;
      if q988 not in(.,8,9) then  hsgrad3  = (educ3=12 or q988=1 or q988=2);
      colleg3 = (13 <= educ3 <= 17);
      grddeg3 = (educ3 =17);
      end;
  
  if q1001 not in(.,98,99) then momhs3 = (q1001>=12);
  if q1000 not in(.,98,99) then dadhs3 = (q1000>=12);
  if q1001 not in(.,98,99) and q1000 not in(.,98,99) then  parnths3= (q1001>=12 and q1000>=12);


  label
      hsgrad3='hs educ w3'
      colleg3='colleg educ w3'
      grddeg3='grad educ w3'
      educ3='yrs education w3'
      momhs3='mom hs educ w3'
      dadhs3='dad hs educ w3'
      parnths3='mom/dad hs educ w3'
      ;
  










