*****************************************************************;
* Code demographic variables ;
*****************************************************************;
    
sex3=f686;
if sex3 ne . then  female3=(sex3=2);

  marstat3=(f687);

  /*
  F687      R MARITAL STAT
            Section: CS           Level: Respondent      CAI Reference: Q687
            Type: Numeric         Width: 1               Decimals: 0
            ................................................................................
             5356         0. No spouse or information not available
            10983         1. MARRIED
               62         2. MARRIED SP ABSENT, INSTITUTION
               60         3. MARRIED SP ABSENT, NOT IN INSTITUTION
             1426         4. SEPARATED/DIVORCED
             3055         5. WIDOWED
              442         6. NEVER MARRIED
                      Blank. INAP (Inapplicable): [Q456:CS CONTINUE] IS (5); [Q497:CS2b] IS
                             (A) OR [Q542:CS15C2] IS (A) OR [Q518:CS11a] IS (A)

  */
  
  married3=(marstat3 in(1,2,3));
  widow3=(marstat3=5);
  divsep3=(marstat3=4);
  nevmarr3=(marstat3=6);
  marrsab3 = (marstat3 in(2,3));

  if married3=1 and sex3=2 then singfem3=1; else singfem3=0;

  label 
      sex3='sex, w3'
      female3='female w3'
      age3='age, w3'     
      marstat3='marital status, w3'
      married3='married w3'
      cohab3='cohab as married w3'
      divsep3='divorced/sep w3'
      widow3='widow w3'	
      nevmarr3='never married w3'
      marrsab3='married sp absent w3' 
      singfem3='single female w3'
      ;

* race;
*	Note: no asian category in public release;
  if f1005a not in(.,8,9) then race3=f1005a;
  black3 = (race3 = 2);
  raceo3 = (race3 >= 3);

  if f1002a not in(.,8,9) then hispan3 = (f1002a = 1);
  nonwhit3= (black3=1 or raceo3=1);

  if f300 in(1,5) then  usborn3 = (f300=1);

  label
      race3='race, w3'
      black3='black w3'
      raceo3='other race w3'
      hispan3='hispanic w3'
      nonwhit3='non-white w3'
      usborn3='born in US w3'
      ;

*education;
  if f987a not in(.,97,98,99) then educ3=f987a;

  if educ3 ne . then do;
      if f988 not in(.,8,9) then  hsgrad3  = (educ3=12 or f988=1 or f988=2);
      colleg3 = (13 <= educ3 <= 17);
      grddeg3 = (educ3 =17);
      end;
  
  if f1001 not in(.,98,99) then momhs3 = (f1001>=12);
  if f1000 not in(.,98,99) then dadhs3 = (f1000>=12);
  if f1001 not in(.,98,99) and f1000 not in(.,98,99) then  parnths3= (f1001>=12 and f1000>=12);


  label
      hsgrad3='hs educ w3'
      colleg3='colleg educ w3'
      grddeg3='grad educ w3'
      educ3='yrs education w3'
      momhs3='mom hs educ w3'
      dadhs3='dad hs educ w3'
      parnths3='mom/dad hs educ w3'
      ;
  

   if f744 ne . then moved3=(f744=1);
   label moved3='moved main residence, w3';










