/*****************************************************************/
/* FILE:        	fmt.inc                                  */
/* PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)    */
/* FACULTY:		Dan McFadden                             */
/* AUTHOR:		Tiago Ribeiro                            */
/* LAST UPDATE:		Jan 2003                                 */
/* PROGRAM DESC:	Code asset formats                       */
/* CONTACT:             tribeiro@econ.berkeley.edu               */
/*****************************************************************/

%macro fmt(typ,listbp);
data _null_;
    file "assets/&typ";
    %let c=1;
    %let h=%scan(&listbp,&c,%str( ));
    %let bp1=&h;
    %do %while(&h ne %str());
        %let c=%eval(&c+1);
        %let h=%scan(&listbp,&c,%str( ));
        %let bp&c=&h;
        %end;
    %let c=%eval(&c-1);

    %let f=value &typ;
    put "&f";
    %let f=0 = '[0]';
    put "&f";
    
    %let listbp=&listbp Inf;
    %let c1=%eval(&c+1);
    %let nmat=0;

    %if &c>1 %then %do;
    %do i=1 %to &c;
        %let nmat=%eval(&nmat+1);        
        %let lo=%scan(&listbp,&i,%str( ));
        %let hi=%scan(&listbp,%eval(&i+1),%str( ));         
        %let f=%bquote(&nmat = '[)%bquote(&lo-&hi))%bquote(');
        put "&f";
        %end;

    %do i=1 %to %eval(&c-1);
        %do j=%eval(&i+2) %to &c1;
            %if ^(%quote(&i)=1 and %quote(&j)=%quote(&c1)) %then %do;
            %let nmat=%eval(&nmat+1);
            %let lo=%scan(&listbp,&i,%str( ));
            %let hi=%scan(&listbp,&j,%str( ));
            %let f=%bquote(&nmat = '[)%bquote(&lo-&hi))%bquote(');
            put "&f";;
            %end;
        %end;
    %end;
    %end;
 
%let nmat=%eval(&nmat+1);
%let lo=1;
%let hi=Inf;
%let f=%bquote(&nmat = '[)%bquote(&lo-&hi))%bquote(');
put "&f";

%let nmat=%eval(&nmat+1);
%let lo=0;
%let hi=Inf;
%let f=%str(&nmat = %'[&lo-&hi%)%';);
put "&f";

put " ";

%* Short formats;

%if &c>1 %then %do;
%let nmat0=%eval(&nmat-1);
put "value s&typ"; 
put "0 = '[0]'";
put "1-&c = 'Comp bkt'";
put "&c1-&nmat0 = 'Incomp bkt'";
put "&nmat = 'No info';";
%end;

%else %do;
put "value s&typ"; 
put "0 = '[0]'";
put "1 = '>0'";
put "2 = 'No info';";
%end;

run;

%mend;


%fmt(rlst1f,1  5K 50K 150K     );
%fmt(bsns1f,1 10K 50K 500K     );
%fmt(ira1f, 1  5K 25K  50K 100K);
%fmt(stck1f,1  5K 25K 100K 500K);
%fmt(chck1f,1  1K  5K  10K  50K);
%fmt(bond1f,1  5K 25K 100K 500K);
%fmt(cd1f,  1  1K  5K  10K  50K);
%fmt(trns1f,1  2K 10K  25K     );
%fmt(othr1f,1  2K 10K  25K     );
%fmt(debt1f,1  2K 10K  25K     );
%fmt(lps11f,1  3K              );
%fmt(lps21f,1  2K              );
%fmt(lps31f,1  2K              );
%fmt(mobh1f,1 50K 100K 200K    );
%fmt(hous1f,1 50K 100K 200K    );
%fmt(mort1f,1);
%fmt(mrt21f,1);
%fmt(loan1f,1);
%fmt(tinc1f,1 5K   10K  20K 30K  50K 75K 100K);
%fmt(trust1f,1);


%fmt(rlst2f,1 5K   20K  50K 200K  500K 1000K 2000K);
%fmt(bsns2f,1 5K   20K  50K 200K  500K 1000K 2000K);
%fmt(ira2f, 1 5K   20K  50K 200K 1000K);
%fmt(stck2f,1 2K   10K 100K 750K 1500K);
%fmt(bond2f,1 2K   10K  50K 200K  500K);
%fmt(chck2f,1 2K   20K  50K 100K  500K);   
%fmt(cd2f,  1 2.5K 25K 125K 250K  500K); 
%fmt(trns2f,1 1K    5K  20K 100K  200K);   
%fmt(othr2f,1 5K   50K 100K);              
%fmt(debt2f,1 0.5K  5K  50K);           
%fmt(mobh2f,1 15K  50K 150K 500K); 
%fmt(hous2f,1 15K  50K 150K 500K);
%fmt(mort2f,1 5K   20K 100K); 
%fmt(mrt22f,1 5K   20K 100K); 
%fmt(loan2f,1 5K   20K 100K); 
%fmt(tinc2f,1 5K   10K  20K 30K  50K 75K 100K);



%fmt(rlst3f,1 2.5K 125K  500K 1000K);
%fmt(bsns3f,1   5K  10K  100K 1000K);
%fmt(ira3f, 1  10K  25K  100K  400K);
%fmt(stck3f,1 2.5K  25K  125K  400K);
%fmt(bond3f,1 2.5K  10K  100K  400K);
%fmt(chck3f,1   5K  50K  150K  300K);
%fmt(cd3f,  1 2.5K  25K  125K  250K);
%fmt(trns3f,1   5K  25K  200K      );
%fmt(othr3f,1   5K  50K  100K      );
%fmt(debt3f,1 0.5K   5K   50K      );
%fmt(mobh3f,1   5K  10K   20K  100K);
%fmt(hous3f,1  15K  50K  150K  500K);
%fmt(mort3f,1   5K  20K  100K      );
%fmt(mrt23f,1   5K  20K  100K      );
%fmt(loan3f,1   5K  20K  100K      );


%fmt(rlst4f,1 2.5K 125K  500K 1000K);
%fmt(bsns4f,1   5K  10K  100K 1000K);
%fmt(ira4f, 1  10K  25K  100K  400K);
%fmt(stck4f,1 2.5K  25K  125K  400K);
%fmt(bond4f,1 2.5K  10K  100K  400K);
%fmt(chck4f,1   5K  50K  150K  300K);
%fmt(cd4f,  1 2.5K  25K  125K  250K);
%fmt(trns4f,1   5K  25K  200K      );
%fmt(othr4f,1   5K  50K  100K      );
%fmt(debt4f,1 0.5K   5K   50K      );
%fmt(mobh4f,1   5K  10K   20K  100K);
%fmt(hous4f,1  15K  50K  150K  500K);
%fmt(mort4f,1   5K  20K  100K      );
%fmt(mrt24f,1   5K  20K  100K      );
%fmt(loan4f,1   5K  20K  100K      );


proc format lib=formats;

/* Wave 1 */
    
%include 'assets/rlst1f';
%include 'assets/bsns1f';
%include 'assets/ira1f';
%include 'assets/stck1f';
%include 'assets/bond1f';
%include 'assets/chck1f';
%include 'assets/cd1f';
%include 'assets/trns1f';
%include 'assets/othr1f';
%include 'assets/debt1f';
%include 'assets/mobh1f';
%include 'assets/hous1f';
%include 'assets/mort1f';
%include 'assets/mrt21f';
%include 'assets/loan1f';
%include 'assets/tinc1f';

%include 'assets/trust1f';

%include 'assets/lps11f';
%include 'assets/lps21f';
%include 'assets/lps31f';


/* Wave 2 */				

%include 'assets/rlst2f';
%include 'assets/bsns2f';
%include 'assets/ira2f';
%include 'assets/stck2f';
%include 'assets/bond2f';
%include 'assets/chck2f';
%include 'assets/cd2f';
%include 'assets/trns2f';
%include 'assets/othr2f';
%include 'assets/debt2f';
%include 'assets/mobh2f';
%include 'assets/hous2f';
%include 'assets/mort2f';
%include 'assets/mrt22f';
%include 'assets/loan2f';
%include 'assets/tinc2f';
     

/* Wave 3 */				


%include 'assets/rlst3f';
%include 'assets/bsns3f';
%include 'assets/ira3f';
%include 'assets/stck3f';
%include 'assets/bond3f';
%include 'assets/chck3f';
%include 'assets/cd3f';
%include 'assets/trns3f';
%include 'assets/othr3f';
%include 'assets/debt3f';
%include 'assets/mobh3f';
%include 'assets/hous3f';
%include 'assets/mort3f';
%include 'assets/mrt23f';
%include 'assets/loan3f';


/* Wave 4 */				

    
%include 'assets/rlst4f';
%include 'assets/bsns4f';
%include 'assets/ira4f';
%include 'assets/stck4f';
%include 'assets/bond4f';
%include 'assets/chck4f';
%include 'assets/cd4f';
%include 'assets/trns4f';
%include 'assets/othr4f';
%include 'assets/debt4f';
%include 'assets/mobh4f';
%include 'assets/hous4f';
%include 'assets/mort4f';
%include 'assets/mrt24f';
%include 'assets/loan4f';


value   totinc1f
1       =       '1-4,999'
2='5,000-9,999'
3='10,000-19,999'
4='20,000-29,999'
5='30,000-49,999'
6='50,000-74,999'
7='75,000-99,999'
8='100,000 +'
9='0-9,999'
10='10,000-29,999'
11='0-29,999'
12='30,000 +'
13='30,000-74,999'
14='75,000 +'
15='1 +';		


value totinc2f
1='1-4,999'
2='5,000-9,999'
3='10,000-19,999'
4='20,000-29,999'
5='30,000-49,999'
6='50,000-74,999'
7='75,000-99,999'
8='100,000 +'
9='0-9,999'
10='10,000-29,999'
11='0-29,999'
12='30,000 +'
13='30,000-74,999'
14='75,000 +'
15='1 +';



run;


				
				
				
				
				
				
